geos::operation::polygonize::HoleAssigner Class Reference

Assigns hole rings to shell rings during polygonization. More...

`#include <HoleAssigner.h>`

## Static Public Member Functions

static void | assignHolesToShells (std::vector< EdgeRing * > &holes, std::vector< EdgeRing * > &shells)

## Detailed Description

Assigns hole rings to shell rings during polygonization.

Uses spatial indexing to improve performance of shell lookup.

Author
  mdavis

## Member Function Documentation

## assignHolesToShells()

void geos::operation::polygonize::HoleAssigner::assignHolesToShells | ( | std::vector< EdgeRing * > & | holes,
|  | std::vector< EdgeRing * > & | shells )

static

Assigns hole rings to shell rings

Parameters

  holes | list of hole rings to assign
  shells | list of shell rings

The documentation for this class was generated from the following file:

- HoleAssigner.h